Skip to content
Back to top
View this page

# TransactionPartnerFragment

class telegram.TransactionPartnerFragment(withdrawal_state=None, *, api_kwargs=None)

  Bases: `telegram.TransactionPartner`

  Describes a withdrawal transaction with Fragment.

  Available In

  - `telegram.StarTransaction.receiver`

  - `telegram.StarTransaction.source`

  Added in version 21.4.

  Parameters:

    withdrawal_state (`telegram.RevenueWithdrawalState`, optional) – State of the transaction if the transaction is outgoing.

  type

    The type of the transaction partner, always `'fragment'`.

    Type:

      `str`

  withdrawal_state

    Optional. State of the transaction if the transaction is outgoing.

    Type:

      `telegram.RevenueWithdrawalState`

  classmethod de_json(data, bot=None)

    See `telegram.TransactionPartner.de_json()`.